Skip to main content
POST
/
api
/
v1
/
sheets
/
import-as-extraction
Import Google Sheets As Extraction
curl --request POST \
  --url https://api.example.com/api/v1/sheets/import-as-extraction \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "sheet_url": "<string>",
  "sheet_name": "<string>",
  "use_oauth": true
}
'
{}

Documentation Index

Fetch the complete documentation index at: https://docs.bavlio.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request model for Google Sheets import with OAuth.

sheet_url
string
required

Google Sheets URL

sheet_name
string | null

Specific sheet name to import

use_oauth
boolean
default:true

Use OAuth authentication (default) or service account

Response

Successful Response

The response is of type Response Import Google Sheets As Extraction Api V1 Sheets Import As Extraction Post · object.